%global framework libgravatar

Name:    kf5-%{framework}
Version: 23.08.4
Release:        1%{?dist}
Summary: Gravatar support library

License: GPLv2
URL:     https://invent.kde.org/pim/%{framework}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/release-service/%{version}/src/%{framework}-%{version}.tar.xz

# handled by qt5-srpm-macros, which defines %%qt5_qtwebengine_arches
%{?qt5_qtwebengine_arches:ExclusiveArch: %{qt5_qtwebengine_arches}}

BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Test)

%global kf5_ver 5.105.0
BuildRequires:  extra-cmake-modules >= %{kf5_ver}
BuildRequires:  kf5-rpm-macros >= %{kf5_ver}
BuildRequires:  cmake(KF5Config) >= %{kf5_ver}
BuildRequires:  cmake(KF5KIO) >= %{kf5_ver}
BuildRequires:  cmake(KF5I18n) >= %{kf5_ver}
BuildRequires:  cmake(KF5TextWidgets) >= %{kf5_ver}
BuildRequires:  cmake(KF5WidgetsAddons) >= %{kf5_ver}

%global majmin_ver %{version}
BuildRequires:  cmake(KPim5PimCommon)
BuildRequires:  cmake(KPim5TextEdit)

Obsoletes:      kdepim-libs < 7:16.04.0
Conflicts:      kdepim-libs < 7:16.04.0

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description    devel
%{summary}.


%prep
%autosetup -n %{framework}-%{version}


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html



%files -f %{name}.lang
%license LICENSES/*
%{_kf5_datadir}/qlogging-categories5/*%{framework}.*
%{_kf5_libdir}/libKPim5Gravatar.so.5*

%files devel
%{_kf5_libdir}/libKPim5Gravatar.so
%{_kf5_libdir}/cmake/KPim5Gravatar/
%{_includedir}/KPim5/Gravatar/

%{_kf5_archdatadir}/mkspecs/modules/qt_Gravatar.pri


%changelog
* Wed Feb 21 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build

